#######################################################################
# Copyright (c) 2025 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class CreateIncidentGroupReports < ActiveRecord::Migration
  def change
    create_table :incident_group_reports do |t|

    	t.references :user, index: true
      t.string :name
      t.text :description
      t.text :report_name
      t.integer :orientation
      t.integer :number_pages, default: 1
      t.timestamps
      t.string :schedule_type, default: "weekly"
      t.text :schedule_days
      t.string :schedule_hour
      t.string :email_list
      t.string :condition
      t.string :timezone

    end
  end
end